"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var typedHtml = require("typed-html");
function layout(title, depth, content) {
    var urlPrefix = Array(depth + 1).join('../');
    return typedHtml.createElement("html", null,
        typedHtml.createElement("head", null,
            typedHtml.createElement("title", null,
                title,
                " - Stryker report"),
            typedHtml.createElement("link", { rel: "stylesheet", href: urlPrefix + "bootstrap/css/bootstrap.min.css" }),
            typedHtml.createElement("link", { rel: "stylesheet", href: urlPrefix + "bootstrap/css/bootstrap-theme.min.css" }),
            typedHtml.createElement("link", { rel: "stylesheet", href: urlPrefix + "highlightjs/styles/default.css" }),
            typedHtml.createElement("link", { rel: "stylesheet", href: urlPrefix + "stryker.css" })),
        typedHtml.createElement("body", null,
            typedHtml.createElement("img", { class: "stryker-image", alt: "Stryker", src: urlPrefix + "stryker-80x80.png" }),
            typedHtml.createElement("div", { class: "container-fluid" },
                typedHtml.createElement("div", { class: "row" },
                    typedHtml.createElement("div", { class: "col-md-12" },
                        typedHtml.createElement("h1", null,
                            title,
                            " - Stryker report"))),
                typedHtml.createElement("div", { class: "row" }, content),
                typedHtml.createElement("footer", null,
                    "Generated with stryker-html-reporter generator. Visit the ",
                    typedHtml.createElement("a", { href: "http://stryker-mutator.github.io", target: "_blank" }, "Stryker website"))),
            typedHtml.createElement("script", { src: urlPrefix + "stryker.js", defer: "defer" })));
}
exports.layout = layout;
//# sourceMappingURL=layout.js.map